<?php
/**
 * This functions makes the theme compatible with WPML Plugin
 *
 *
 * @package Catch Themes
 * @subpackage Catch Box
 * @since Catch Box Pro 3.0
 */

if ( ! function_exists( 'catchbox_wpml_invalidcache' ) ) :
/**
 * Template for Clearing WPML Invalid Cache
 *
 * To override this in a child theme
 * simply create your own catchbox_wpml_invalidcache(), and that function will be used instead.
 *
 * @since Catch Box Pro 2.0
 */
function catchbox_wpml_invalidcache() {
	delete_transient( 'catchbox_sliders' );
	delete_transient( 'catchbox_page_sliders' );
	delete_transient( 'catchbox_category_sliders' );
	delete_transient( 'catchbox_imagesliders' );
	delete_transient( 'catchbox_footercode' );
	delete_transient( 'catchbox_footer_content' );
	delete_transient( 'catchbox_site_verification' );
} // catchbox_wpml_invalidcache
endif;

add_action( 'after_setup_theme', 'catchbox_wpml_invalidcache' );